In a release: which files inside the CoCoAManual 

04 May 2020 16:23 - John Abbott

Status: Closed Start date: 04 May 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Manual/documentation Estimated time: 0.99 hour

Target version: CoCoA-5.4.0 Spent time: 1.00 hour

Description

Exactly which files should be in the directory CoCoAManual/?

Currently, there are Makefile and README...

Discuss.

History

#1 - 05 Feb 2022 20:40 - John Abbott

I do not like the function copy-CoCoAManual in the script release-common.sh.

Currently it copies everything, and then deletes/moves some files.

It would be better if only the needed files were copied.

Then it would also be clearer exactly what we want to be in the release!

The current impl is too hard to follow for me  :-/

#2 - 05 Feb 2022 21:05 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 50

I have changed the impl of the fn copy-CoCoAManual.  I have checked it in without testing!!

Anna: please check my change!

#3 - 16 Feb 2022 20:16 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 50 to 90

I guess we shall soon find out if the new script has overlooked some file(s).

Status: feedback.

#4 - 18 Feb 2022 17:16 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.99 h
